<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="#">Click & Clean</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link" routerLink="../../index">Inicio </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../service">Servicios</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../profile">Perfil</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../products">Productos
        </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../cart">Carrito <mat-icon class="badge-icon" [matBadge]="carrito"></mat-icon>
        </a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" routerLink="../contracts">Mis Contratos
        </a>
      </li>
    </ul>
    <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
        style="margin-left: 10px;">Registrarse</button>
    </ng-template>
    <ng-template #cuenta>
      <span class="usuario-menu">{{user.nombre_usuario}}</span>
      <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
    </ng-template>
  </div>
</nav>
<!--/.Navbar-->
<section class="bg-light first-section" style="min-height: 400px;">
  <div class="container">
    <mat-card>
      <mat-card-title>Contratos</mat-card-title>

      <div *ngFor="let contrato of contratos" class="objetos-list">
        <div style="display: flex;">
          <div mat-card-avatar class="header-contrato"></div>
          <h5>{{contrato.calle_inm}} {{contrato.numero_inm}} {{contrato.colonia_inm}} {{contrato.ciudad_inm}}
            {{contrato.estado_inm}} </h5>
        </div>
        <span>
          {{contrato.inicio_contrato | date: 'dd/MM/yyyy hh:mm'}} - {{contrato.fin_contrato | date: 'dd/MM/yyyy hh:mm'}}
        </span>
        <mat-card-title-group><button mat-raised-button color="warn" (click)="abrirModalContrato(contrato.id_contrato)">Detalles</button></mat-card-title-group>
      </div>
    </mat-card>
  </div>
</section>
<!--Modal-->
<div class="modal " id="myModal" [style.display]="showModalContrato ? 'block' : 'none'">
  <div class="modal-dialog big-modal">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Detalle de contrato</h5>
        <button type="button" class="close" aria-label="Close" (click)="cerrarModalContrato()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ng-template [ngIf]="detalleContrato!=null">
        <div class="row">
          <div class="col-12 col-md-6">
            <mat-card>
              <mat-card-title>Servicios contratatos:</mat-card-title>
              <div *ngFor="let servicio of detalleContrato" >
                <div class="row" style="margin-top: 5px;">
                  <div class="col-3">
                    <img [src]="servidor+'/imagenes/'+servicio.imagen_servicio"
                      class="img-responsive img-circle" style="width: 100%;" alt="templatemo easy profile">
                  </div>
                  <div class="col-9">
                    <mat-card-subtitle>
                        {{servicio.nombre_servicio}}:</mat-card-subtitle>
                    <mat-card-content> {{servicio.caracteristicas_servicio}}</mat-card-content>
                  </div>
                </div>


              </div>
            </mat-card>
          </div>
          <!-- ---------------Resumen-------------------- -->
          <div class="col-12 col-md-6">
            <mat-card class="objetos-list">
              <mat-card-title>Cliente:</mat-card-title>
              <mat-card-content>
                <span>{{detalleContrato[0].nombre_usuario}} {{detalleContrato[0].ap_paterno_usuario}} {{detalleContrato[0].ap_materno_usuario}} </span>
                <br>
                <span>Télefono casa: {{detalleContrato[0].telcasa_usuario}}</span><br>
                <span>Celular: {{detalleContrato[0].celular_usuario}}</span>
              </mat-card-content>
            </mat-card>
            <mat-card class="objetos-list">
              <mat-card-title>Dirección</mat-card-title>
              <mat-card-content>{{detalleContrato[0].calle_inm}} {{detalleContrato[0].numero_inm}} {{detalleContrato[0].colonia_inm}} {{detalleContrato[0].ciudad_inm}} {{detalleContrato[0].estado_inm}}</mat-card-content>
            </mat-card>
            <mat-card class="objetos-list">
              <mat-card-title>Fechas</mat-card-title>
              <mat-card-content>{{detalleContrato[0].inicio_contrato | date: 'dd/MM/yyyy hh:mm'}} - {{detalleContrato[0].fin_contrato | date: 'dd/MM/yyyy hh:mm'}} </mat-card-content>
            </mat-card>
            <mat-card class="objetos-list">
              <mat-card-title>Días de la semana:</mat-card-title>
              <mat-card-content><ng-template [ngIf]="detalleContrato[0].lunes">Lunes </ng-template>
                <ng-template [ngIf]="detalleContrato[0].martes">, Martes </ng-template>
                <ng-template [ngIf]="detalleContrato[0].miercoles">, Miércoles </ng-template>
                <ng-template [ngIf]="detalleContrato[0].jueves">, Jueves </ng-template>
                <ng-template [ngIf]="detalleContrato[0].viernes">, Viernes </ng-template>
                <ng-template [ngIf]="detalleContrato[0].sabado">, Sábado </ng-template>
                <ng-template [ngIf]="detalleContrato[0].domingo">, Domingo </ng-template>
              </mat-card-content>
            </mat-card>
            <mat-card class="objetos-list">
              <mat-card-title>Empleada:</mat-card-title>
              <mat-card-content>
                <span>{{detalleContrato[0].nombre_empleado}} {{detalleContrato[0].ap_paterno_empleado}} {{detalleContrato[0].ap_materno_empleado}}</span>
                <br>
                <span>{{detalleContrato[0].email_empleado}}</span><br>
                <span>{{detalleContrato[0].celular_empleado}}</span>
              </mat-card-content>
            </mat-card>
            <mat-card class="objetos-list">
              <mat-card-title>Inmueble:</mat-card-title>
              <mat-card-content>
                <span>{{detalleContrato[0].tipo_inm}} </span>
                <br>
                <span>Plantas: {{detalleContrato[0].numero_plantas_inm}}</span><br>
                <span>Cuartos: {{detalleContrato[0].tamano_inm}}</span>
              </mat-card-content>
            </mat-card>
           
          </div>
          <!-- ----------------./resumen------------------------>
        </div>
      </ng-template>
      </div>
      <div class="modal-footer">
        <button type="button" mat-raised-button color="primary" (click)="cerrarModalContrato()">Cerrar</button>

      </div>
    </div>
  </div>
</div>
<!--Modal-->
<!-- footer section -->
<footer class="site-footer bg-dark">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="row">
          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Mapa del sitio</h2>
            <ul class="list-unstyled">
              <li><a href="index/perfil">Perfil</a></li>
              <li><a href="index">Tienda</a></li>
              <li><a href="index/carrito">Carrito</a></li>
              <li><a href="index/rentas">Mis rentas</a></li>
            </ul>
          </div>
          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Acerca de nosotros</h2>
            <ul class="list-unstyled">
              <li><a href="#">Acerca de nosotros</a></li>
              <li><a href="#">Servicios</a></li>
              <li><a href="#">Soporte</a></li>
              <li><a href="#">Contactanos</a></li>
            </ul>
          </div>

          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Siguenos</h2>
            <a href="#" class="pl-0 pr-3"><span class="fa fa-facebook"></span></a>
            <a href="#" class="pl-3 pr-3"><span class="fa fa-twitter"></span></a>
            <a href="#" class="pl-3 pr-3"><span class="fa fa-instagram"></span></a>
            <a href="#" class="pl-3 pr-3"><span class="fa fa-linkedin"></span></a>
          </div>
          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Suscribete a nosotros</h2>
            <p>Enterate de las ultimas novedades de la pagina</p>
            <form action="#" method="post">
              <div class="input-group mb-3">
                <input type="text" class="form-control bg-light" placeholder="Enter Email" aria-label="Enter Email"
                  aria-describedby="button-addon2">
                <div class="input-group-append">
                  <button class="btn btn-primary text-white" type="button" id="button-addon2">Send</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>

    </div>
    <div class="row pt-5 mt-5">
      <div class="col-12 text-md-center text-left">
        <p>
          Copyright &copy; 2020 All rights reserved | POWERED <i class="icon-home text-danger"
            aria-hidden="true"></i>
          by <a href="" target="_blank">Click & Clean</a>
        </p>
      </div>
    </div>
  </div>
</footer>